import os
import sys
from flask import flash,Flask,request,url_for,redirect,session
from flaskext.genshi import Genshi, render_response

app = Flask(__name__)
app.debug = True
app.secret_key="ilovesugar"
genshi = Genshi(app)

@app.route('/')
def hello_world():
    flash("Hello World")
    return render_response('hello.html') 

def shutdown_server():
    func = request.environ.get('werkzeug.server.shutdown')
    if func is None:
        raise RuntimeError('Not running with the Werkzeug Server')
    func()

@app.route('/debug')
def debug():
    raise Warning("This is a traceback of the Construct IDE environment. This is what you'll see when there's an error in your program or you manually raise an exception.") 

@app.route('/shutdown')
def shutdown():
    shutdown_server()
    return 'Goodbye'

if __name__=="__main__":
    try:
        port=int(sys.argv[1])
    except IndexError:
        port=5000
        import webbrowser
        webbrowser.open("http://localhost:%s/" % port)
    app.run(port=port) # for local only
    #app.run(host='0.0.0.0', port=port) # open for all
