import os
import sys
from flask import Flask
from flaskext.genshi import Genshi, render_response
from werkzeug.utils import redirect
from flask import request,url_for

app = Flask(__name__)
app.debug = True
genshi = Genshi(app)

def shutdown_server():
    func = request.environ.get('werkzeug.server.shutdown')
    if func is None:
        raise RuntimeError('Not running with the Werkzeug Server')
    func()

@app.route('/')
def index():
    return render_response('index.html')

@app.route('/shutdown')
def shutdown():
    shutdown_server()
    return 'Server shutting down...'

if __name__=="__main__":
    port=int(sys.argv[1])
    app.run(port=port)
    #or app.run(host='0.0.0.0')
